MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030715Community[OCCT] OCCT:Configurationpublic2019-05-16 15:582019-06-08 13:23
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030715: Configuration, CMake - error build with QTANGLE
DescriptionGet the latest code from git with CMake3.14.4.
Build OCCT with QTANGLE's EGL and GLES2 for platform WindowsStore.
Whatever I input the EGL and GLES2 folder path, the error remains.

CMake Error at CMakeLists.txt:711 (message):
  Could not find libraries of used third-party products:
  3RDPARTY_EGL_LIBRARY_DIR_libGLESv2 3RDPARTY_GLES2_LIBRARY_DIR_libGLESv2

CMake Warning at CMakeLists.txt:726 (message):
  Could not find DLLs of used third-party products:
  3RDPARTY_EGL_DLL_DIR_libEGL 3RDPARTY_EGL_DLL_DIR_libGLESv2
  3RDPARTY_GLES2_DLL_DIR_libGLESv2
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029918closedbugmaster Open CASCADE Samples - extend UWP sample with 3D Viewer 
related to 0030746assignedbugmaster Open CASCADE Jenkins - USE_GLES2 has no effect on Windows builds 
child of 0027811closedbugmaster Open CASCADE Configuration - allow building TKOpenGl with OpenGL ES on Windows 

-  Notes
(0084596)
kgv (developer)
2019-05-24 11:36

Could you please comment which version of Angle is used?
Have you built it on your own or used build provided with Qt installation (where it can be found then and in which version of Qt)?

The last revision of Angle tested for building OCCT was "Angle-gles2 2.1.0" (vc14-uwp):
https://www.opencascade.com/content/3rd-party-components [^]
Have they changed/introduced packaging?
(0084611)
Vico Liang (developer)
2019-05-24 17:36

The QTANGLE is from QT5.12.3, use build provided with QT installation.
Inlucde Path: Qt5.12.3\5.12.3\winrt_x64_msvc2017\include\QtANGLE
Lib path: Qt5.12.3\5.12.3\winrt_x64_msvc2017\lib
Bin path: Qt5.12.3\5.12.3\winrt_x64_msvc2017\bin
(0084823)
git (administrator)
2019-06-04 18:28

Branch CR30715 has been created by apn.

SHA-1: 61d8207a898f5c7cb8e78e1cf0fbe0fe4e63777f


Detailed log of new commits:

Author: apn
Date: Tue Jun 4 14:20:56 2019 +0300

    0030715: Configuration, CMake - error build with QTANGLE
    
    SEARCH_TEMPLATES was modified to find EGL and GLES2 libraries in different folders (angle-gles, egl-gles, egl, angle, etc).
    Find 3rdparty products procedure allows to define 3RDPARTY_LIBRARY_DIR or 3RDPARTY_DLL_DIR manually to find necessary libraries and dlls.
(0084824)
apn (administrator)
2019-06-04 18:40

If 3RDPARTY_DIR doesn't contain angle-gles2 folder and variables 3RDPARTY_EGL_LIBRARY_DIR_libGLESv2, 3RDPARTY_GLES2_LIBRARY_DIR_libGLESv2, 3RDPARTY_EGL_DLL_DIR_libEGL and 3RDPARTY_EGL_DLL_DIR_libGLESv2 were defined manually in CMake GUI procedure of finding 3rdparty products works correct.
Also SEARCH_TEMPLATES was modified so EGL and GLES2 can be found in different folders (angle-gles, egl-gles, egl, angle, etc).

Dear kgv, could you please review CR30715.
(0084956)
git (administrator)
2019-06-08 13:21

Branch CR30715 has been deleted by inv.

SHA-1: 61d8207a898f5c7cb8e78e1cf0fbe0fe4e63777f

- Related Changesets
occt: master 5771d380
Timestamp: 2019-06-04 11:20:56
Author: apn
Committer: bugmaster
Details ] Diff ]
0030715: Configuration, CMake - error build with QTANGLE

SEARCH_TEMPLATES was modified to find EGL and GLES2 libraries in different folders (angle-gles, egl-gles, egl, angle, etc).
Find 3rdparty products procedure allows to define 3RDPARTY_LIBRARY_DIR or 3RDPARTY_DLL_DIR manually to find necessary libraries and dlls.
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-16 15:58 Vico Liang New Issue
2019-05-16 15:58 Vico Liang Assigned To => bugmaster
2019-05-24 10:24 kgv Product Version => 7.3.0
2019-05-24 10:24 kgv Summary CMake error build with EGL and GLESv2 => Configuration, CMake - error build with EGL and GLESv2
2019-05-24 10:26 kgv Relationship added related to 0029918
2019-05-24 10:27 kgv Relationship added child of 0027811
2019-05-24 10:27 kgv Relationship added related to 0027350
2019-05-24 11:25 kgv Summary Configuration, CMake - error build with EGL and GLESv2 => Configuration, CMake - error build with QTANGLE
2019-05-24 11:36 kgv Note Added: 0084596
2019-05-24 17:36 Vico Liang Note Added: 0084611
2019-06-04 16:09 kgv Relationship added related to 0030746
2019-06-04 17:51 bugmaster Assigned To bugmaster => apn
2019-06-04 17:51 bugmaster Status new => assigned
2019-06-04 18:26 bugmaster Relationship added parent of 0030654
2019-06-04 18:26 bugmaster Relationship deleted parent of 0030654
2019-06-04 18:26 bugmaster Relationship added parent of 0030654
2019-06-04 18:28 bugmaster Relationship deleted parent of 0030654
2019-06-04 18:28 git Note Added: 0084823
2019-06-04 18:40 apn Note Added: 0084824
2019-06-04 18:41 apn Test case number => Not needed
2019-06-04 18:41 apn Assigned To apn => kgv
2019-06-04 18:41 apn Status assigned => resolved
2019-06-08 13:11 bugmaster Changeset attached => occt master 5771d380
2019-06-08 13:11 bugmaster Assigned To kgv => bugmaster
2019-06-08 13:11 bugmaster Status resolved => verified
2019-06-08 13:11 bugmaster Resolution open => fixed
2019-06-08 13:21 git Note Added: 0084956


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker